import request from '@/utils/request'
import { AxiosPromise } from 'axios'

// apiUrl
const api = {
	page: '/sys/role/page',
	listTree: '/sys/role/list-tree',
	listAll: '/sys/role/list-all',
	create: '/sys/role/create',
	update: '/sys/role/update',
	delete: '/sys/role/delete',
	resourceSet: '/sys/role/resource-set',
	resourceIds: '/sys/role/resource-ids'
}

const role = {
	rolePageApi: (params): AxiosPromise =>
		request({
			url: api.page,
			method: 'post',
			params
		}),
	roleListTreeApi: (): AxiosPromise => request({ url: api.listTree, method: 'get' }),
	roleListAllApi: (): AxiosPromise => request({ url: api.listAll, method: 'get' }),
	roleSaveApi: (params): AxiosPromise => request({ url: params.id ? api.update : api.create, method: 'post', params }),
	roleDeleteApi: (ids): AxiosPromise => request({ url: api.delete, method: 'post', ids }),
	roleResourceSetApi: (params): AxiosPromise => request({ url: api.resourceSet, method: 'post', params }),
	roleResourceIdsApi: (id): AxiosPromise => request({ url: api.resourceIds + '?id=' + id, method: 'get' })
}
export default role
